/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.streampark.flink.udf;

import org.apache.flink.table.functions.ScalarFunction;

import java.text.SimpleDateFormat;
import java.util.Date;

public class DateFormat extends ScalarFunction {
  private final SimpleDateFormat simpleDateFormat;

  public DateFormat() {
    this.simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
  }

  public DateFormat(String format) {
    this.simpleDateFormat = new SimpleDateFormat(format);
  }

  public String eval(Long time) {
    return simpleDateFormat.format(new Date(time));
  }
}
